| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Attributes | List of all members
nkGraphics::AttributeGenerationOutput Struct Referencefinal

Describes the output of an attribute generation operation. More...

## Public Attributes
nkMemory::Buffer | _outputBuffer
| Buffer of output data, if no view given. Will get allocated by the generation process and left for the client code to use.
nkMemory::BufferView< unsigned char > | _outputView
| The view over the output data. Can be used to preallocate data and append data to an already existing buffer.
FORMAT | _dataFormat = R32G32B32_FLOAT
unsigned int | _byteOffset = 0u
unsigned int | _stride = 0u
bool | _isView = false

## Detailed Description

Describes the output of an attribute generation operation.

Role of this structure can be dual.
If used with the utility functions returning one of its instances, then data is automatically filled and you can use it to interpret generated data. If used with the utility functions taking it as a parameter, then it also drives how fata is generated (format, output buffers, and so on).

## Member Data Documentation

## ◆ _dataFormat

FORMAT nkGraphics::AttributeGenerationOutput::_dataFormat = R32G32B32_FLOAT

The output format provided. This is used by the generation process to know in which format data should be generated (currently supporting float32 and float16 formats). Client code can use it to know which format has been output.

## ◆ _byteOffset

unsigned int nkGraphics::AttributeGenerationOutput::_byteOffset = 0u

Offset at which data is available in output. This is used by the generation process to offset the first entry of generated data. Client code can use it to know where data starts in linked buffer.

## ◆ _stride

unsigned int nkGraphics::AttributeGenerationOutput::_stride = 0u

Stride for an attribute entry. This is used by the generation process to alter the stepping byte length when generating entries, in output buffer. Client code can use it to know the stride of the output buffer.

## ◆ _isView

bool nkGraphics::AttributeGenerationOutput::_isView = false

Whether the view on output should be used (true) or not (false). This is a flag used by the generation process to know if it should create and fill the buffer, or work with provided view. Client code can use it to know which buffer is filled with generated data.

The documentation for this struct was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Meshes/Utils/AttributeGenerationOutput.h